MetalCheckBoxUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalCheckBoxUI class
Date: 2016-07-28

javax.swing.plaf.metal

## Class MetalCheckBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - javax.swing.plaf.metal.MetalRadioButtonUI
            - - javax.swing.plaf.metal.MetalCheckBoxUI

-     public class MetalCheckBoxUI
      extends MetalRadioButtonUI

  CheckboxUI implementation for MetalCheckboxUI

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.metal.MetalRadioButtonUI

      `disabledTextColor, focusColor, selectColor`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

      `icon`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalCheckBoxUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)`
    `String` | `getPropertyPrefix()`
    `void` | `installDefaults(AbstractButton b)`
    `protected void` | `uninstallDefaults(AbstractButton b)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalRadioButtonUI

      `getDisabledTextColor, getFocusColor, getSelectColor, paint, paintFocus`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

      `getDefaultIcon, getPreferredSize, installListeners, uninstallListeners`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

      `getTextShiftOffset, paintIcon`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalCheckBoxUI

          public MetalCheckBoxUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### getPropertyPrefix

          public String getPropertyPrefix()

      Overrides:
        `getPropertyPrefix` in class `BasicRadioButtonUI`

    - #### installDefaults

          public void installDefaults(AbstractButton b)

      Overrides:
        `installDefaults` in class `MetalRadioButtonUI`

    - #### uninstallDefaults

          protected void uninstallDefaults(AbstractButton b)

      Overrides:
        `uninstallDefaults` in class `MetalRadioButtonUI`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.